<?php
include 'auth_check.php';
include 'config.php';

$data = json_decode(file_get_contents('php://input'), true);
$id = $data['id'];
$denumire = $data['denumire'];
$regula = $data['regula'];

$response = [];

if (!empty($id) && !empty($denumire) && !empty($regula)) {
    $stmt = $conn->prepare("UPDATE rules SET denumire = ?, regula = ? WHERE id = ?");
    $stmt->bind_param("ssi", $denumire, $regula, $id);

    if ($stmt->execute()) {
        $response['success'] = true;
    } else {
        $response['error'] = $stmt->error;
    }

    $stmt->close();
} else {
    $response['error'] = 'Date invalide.';
}

echo json_encode($response);
?>
