<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require 'fpdf186/fpdf.php'; // Asigură-te că FPDF este inclus
require 'FPDI-2.6.0/src/autoload.php';

use setasign\Fpdi\Fpdi;

session_start();

// Verifică dacă datele sunt disponibile în sesiune
if (!isset($_SESSION['materiale_termoizolante_html'])) {
    die('Datele nu sunt disponibile în sesiune.');
}

// Preia datele din sesiune
$materialeTermoizolanteHTML = $_SESSION['materiale_termoizolante_html'];

// Încarcă template-ul PDF
$pdf = new Fpdi();
$pdf->AddPage();
$tplId = $pdf->setSourceFile('template.pdf');
$pdf->useTemplate($pdf->importPage(1));

// Setează fontul și stilul textului
$pdf->SetFont('Helvetica', '', 12);

// Așează textul pe pagină - modifică coordonatele după cum e nevoie
$pdf->SetXY(20, 100); // Coordonatele trebuie ajustate conform locului în care vrei să apară textul
$pdf->MultiCell(0, 10, $materialeTermoizolanteHTML);

// Generează și trimite PDF-ul la browser
$pdf->Output('deviz_final.pdf', 'I');
?>