<?php
session_start();
if (!isset($_SESSION['username'])) {
    header("Location: login.php");
    exit();
}
?>

<!DOCTYPE html>
<html lang="ro">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard ISOGREEN AI</title>
    <link rel="stylesheet" href="assets/style.css">
</head>
<body>
    <div class="sidebar">
        <div class="logo">
            <img src="/scadentar/logo_G.png" alt="Logo">
        </div>
        <ul class="nav">
            <li><a href="#">Acasă</a></li>
            <li><a href="#">Statistici</a></li>
            <li><a href="#">Utilizatori</a></li>
            <li><a href="#">Setări</a></li>
            <li><a href="logout.php">Deconectare</a></li>
        </ul>
    </div>
    
    <div class="content">
        <h1>Bun venit, <?php echo $_SESSION['username']; ?></h1>
        <div class="cards">
            <div class="card">
                <h2>Utilizatori activi</h2>
                <p>123</p>
            </div>
            <div class="card">
                <h2>Vânzări</h2>
                <p>45,000 RON</p>
            </div>
            <div class="card">
                <h2>Produs nou</h2>
                <p>Adaugă un nou produs</p>
            </div>
        </div>
    </div>
</body>
</html>
