<?php
include 'auth_check.php';  // Verifică dacă utilizatorul este autentificat
include 'config.php';  // Include conexiunea la baza de date

$data = json_decode(file_get_contents('php://input'), true);

$id = $data['id'];

// Actualizăm statusul plății la "0" (Neplătită), ștergem data plății, metoda de plată și resetăm restul de plată
$sql = "UPDATE facturi SET status_plata = 0, data_plata = NULL, metoda_plata = NULL, rest = NULL WHERE id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $id);

$response = array();

if ($stmt->execute()) {
    $response['success'] = true;
    $response['message'] = 'Factura a fost invalidată.';
} else {
    $response['success'] = false;
    $response['message'] = 'Eroare la invalidarea facturii: ' . $stmt->error;
}

$stmt->close();
$conn->close();

header('Content-Type: application/json');
echo json_encode($response);
?>
